import type { AnimatedProp, Color } from '@shopify/react-native-skia';
import type { ReactNode } from 'react';
import type { PressableProps, ViewProps, ViewStyle } from 'react-native';
export type ShadowViewProps = InnerShadowProps | LinearInnerShadowProps;
export interface InnerShadowProps extends ViewProps {
    children?: ReactNode;
    inset?: boolean;
    shadowColor?: string;
    shadowOffset?: {
        width: number;
        height: number;
    };
    shadowBlur?: number;
    isReflectedLightEnabled?: boolean;
    reflectedLightColor?: string;
    reflectedLightOffset?: {
        width: number;
        height: number;
    };
    reflectedLightBlur?: number;
    width?: number;
    height?: number;
    backgroundColor?: string;
    style?: ViewStyle;
}
export type LINEAR_DIRECTION = 'top' | 'bottom' | 'left' | 'right';
export interface LinearInnerShadowProps extends InnerShadowProps {
    from?: LINEAR_DIRECTION;
    to?: LINEAR_DIRECTION;
    colors: AnimatedProp<Color[]>;
}
export type ShadowPressableProps = PressableProps & Omit<InnerShadowProps, 'inset'> & {
    shadowSpace?: number;
    initialDepth?: number;
    duration?: number;
    damping?: number;
};
export type ShadowToggleProps = ShadowPressableProps & {
    isActive?: boolean;
    activeColor?: string;
};
export type GetBackgroundColorProps = Pick<InnerShadowProps, 'backgroundColor' | 'style'>;
export type GetShadowPropertyProps = Pick<InnerShadowProps, 'inset' | 'shadowOffset' | 'shadowBlur' | 'shadowColor' | 'reflectedLightOffset' | 'reflectedLightBlur' | 'reflectedLightColor'>;
export type SetReflectedLightDirectionAndScaleProps = {
    inset?: boolean;
    reflectedLightScale?: number;
    shadowEffectScale: number;
};
export type GetOuterShadowOffsetProps = Pick<InnerShadowProps, 'inset' | 'shadowOffset' | 'shadowColor' | 'shadowBlur'>;
//# sourceMappingURL=types.d.ts.map